Bug 816332 - (RHNSAT.RHN_CS_ORG_FK violated from rhnContentSource
(RHNSAT.RHN_CS_ORG_FK violated from rhnContentSource
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: 807283 space18
  Show dependency treegraph
 
Reported: 2012-04-25 15:55 EDT by Shannon Hughes
Modified: 2017-07-13 04:19 EDT (History)
6 users (show)

See Also:
Fixed In Version: spacewalk-schema-1.8.27-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 807283
Environment:
Last Closed: 2012-11-01 12:20:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for rhn_org oracle package (970 bytes, patch)
2012-04-25 15:57 EDT, Shannon Hughes
no flags Details | Diff

  None (edit)
Description Shannon Hughes 2012-04-25 15:55:15 EDT
Description of problem:

When deleting a org that has records in the rhnContentSource a FK violation is thrown:

2012-03-27 08:20:15,324 [TP-Processor7] ERROR org.apache.catalina.core.ContainerBase.[Catalina].[localhost].[/rhn].[action] - Servlet.service() for servlet action threw exception
java.sql.SQLException: ORA-02292: integrity constraint (RHNSAT.RHN_CS_ORG_FK) violated - child record found
ORA-06512: at "RHNSAT.RHN_ORG", line 100
ORA-06512: at line 1


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Channels->Manage Software Channels->Manage Repos
2. create a repo
3. Login as admin and try to delete the org for above
4. FK contraint error in catalina.out
  
Actual results:


Expected results:


Additional info:

workaround is to manual delete the repository using UI before deleting org.
Comment 1 Shannon Hughes 2012-04-25 15:57:16 EDT
Created attachment 580267 [details]
patch for rhn_org oracle package

remove rhnContenSource record for corresponding org that is deleted
Comment 2 Jan Pazdziora 2012-05-03 13:58:25 EDT
The patch was already committed to Spacewalk master by Tomáš, commit 7fa3c2c04cd6d09bcf1682797638ed26fe5fc73c, plus schema upgrades 2a4dccd5d80203c3af914d9adc89bb4109267708, plus my fix 6c233fa195ce033829a8752945884d800e4e5a06.
Comment 4 Jan Pazdziora 2012-10-30 15:24:58 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 5 Jan Pazdziora 2012-11-01 12:20:28 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.